## kmer 0~20150903%2Br2013

=== debian/changelog ===
kmer (0~20150903+r2013-9build1) plucky; urgency=medium

  * No-change rebuild for Python 3.13 as the default.

 -- Matthias Klose <doko@ubuntu.com>  Fri, 03 Jan 2025 11:57:37 +0100

kmer (0~20150903+r2013-9) unstable; urgency=medium

  * Team upload.
  * Added patch to replace distutils with stdlib usage. Closes: #1080608
  * Standards-Version: 4.6.2 (routine-update)
  * debhelper-compat 13 (routine-update)
  * Build-Depends: s/dh-python/dh-sequence-python3/ (routine-update)
  * No tab in license text (routine-update)
  * Add missing build dependency on dh-python | dh-sequence-python3 for command dh_python3.
  * d/rules: set -std=c++03 to reduce warnings

 -- Michael R. Crusoe <crusoe@debian.org>  Tue, 10 Sep 2024 10:35:03 +0200

kmer (0~20150903+r2013-8) unstable; urgency=medium

  * Team upload.

  [ Antoni Villalonga ]
  * d/upstream/metadata: Repository and Bug
  * Updated spelling.patch
  * Final Python2 to Python3 adjustements
    Closes: #958840

 -- Antoni Villalonga <antoni@friki.cat>  Sun, 19 Apr 2020 17:59:48 +0200

kmer (0~20150903+r2013-7) unstable; urgency=medium

  * Team upload.

  [ Jelmer Vernooĳ ]
  * Use secure copyright file specification URI.

  [ Andreas Tille ]
  * Use 2to3 to port from Python2 to Python3
  * debhelper-compat 12
  * Standards-Version: 4.5.0
  * debian/copyright: use spaces rather than tabs to start continuation
    lines.
  * Remove obsolete field Name from debian/upstream/metadata (already
    present in machine-readable debian/copyright).

  [ Antoni Villalonga ]
  * More fixes to Python3 port
    Closes: #936802

  [ Andreas Tille ]
  * Remove trailing whitespace in debian/changelog (routine-update)
  * Add salsa-ci file (routine-update)
  * Rules-Requires-Root: no (routine-update)

 -- Andreas Tille <tille@debian.org>  Sat, 11 Apr 2020 17:59:48 +0200

kmer (0~20150903+r2013-6) unstable; urgency=medium

  * Team upload.

  [ Liubov Chuprikova ]
  * Add autopkgtest.
  * Standards-Version: 4.2.1
  * Add a patch to fix wrong evaluation order in an expression
    Closes: #906980

  [ Andreas Tille ]
  * Provide test data in new package kmer-examples to avoid duplication of
    data in two packages

 -- Liubov Chuprikova <chuprikovalv@gmail.com>  Mon, 27 Aug 2018 11:37:43 +0200

kmer (0~20150903+r2013-5) unstable; urgency=medium

  * Team upload

  [ Adrian Bunk ]
  * Use the same compile flags in all Linux builds, and include -fPIC
    atac .so were built without -fPIC on !amd64/ia64.
    Closes: #907007

  [ Andreas Tille ]
  * Standards-Version: 4.2.0

 -- Andreas Tille <tille@debian.org>  Sun, 26 Aug 2018 16:58:23 +0200

kmer (0~20150903+r2013-4) unstable; urgency=medium

  * Team upload.
  * debhelper 11
  * Point Vcs fields to salsa.debian.org
  * Standards-Version: 4.1.5
  * Fix Perl interpreter path
  * Fix spelling

 -- Andreas Tille <tille@debian.org>  Sun, 05 Aug 2018 13:37:44 +0200

kmer (0~20150903+r2013-3) unstable; urgency=medium

  * Rename source package to match upstream name and primary binary package
  * New binary package: atac
  * Drop unused packaging file for libkmer
  * libkmer-dev, libmeryl-dev:
    - reorganize header files and static libraries
  * Remove obsolete README.Debian
  * kmer: don't use Metapackages section

 -- Afif Elghraoui <afif@debian.org>  Sat, 03 Dec 2016 21:20:28 -0800

kmer-tools (0~20150903+r2013-2) unstable; urgency=low

  [ Afif Elghraoui ]
  * Fix source URL in debian/copyright.

  [ Andreas Tille ]
  * Provide fake watch file to keep QA tools silent about no watch information
  * debhelper 10
  * cme fix dpkg-control
  * hardening=+all

 -- Afif Elghraoui <afif@debian.org>  Mon, 28 Nov 2016 21:24:26 +0100

kmer-tools (0~20150903+r2013-1) unstable; urgency=low

  * Simplify get-orig-source script
  * Imported Upstream version 0~20150903+r2013
  * Clean up source package: move meryl manpages to a subdirectory of debian/
  * New binary packages:
    - leaff
    - sim4db
  * Drop build-dependency on libbz2-dev
  * Drop kazlib quilt patches
  * Fix section/architecture of the kmer metapackage
  * Set Vcs-Browser to point to cgit
  * Don't install other READMEs to metapackage docs
  * Update d/copyright
  * Update README.source
    - document situation with bundled kazlib
    - document reason for monolithic source package
  * Make the build system more flexible to hopefully fix build on kFreeBSD
  * Add README.Debian to let users know some components aren't yet packaged
  * Add comment for why we can't use dh --parallel

 -- Afif Elghraoui <afif@ghraoui.name>  Sat, 02 Jan 2016 16:49:00 -0800

kmer-tools (0~20150520+2004-1) unstable; urgency=low

  * Initial release (Closes: #784863)

 -- Afif Elghraoui <afif@ghraoui.name>  Fri, 01 May 2015 19:20:00 -0700
