=== debian/control ===
Source: kmer
Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
Uploaders: Afif Elghraoui <afif@debian.org>
Section: science
Priority: optional
Build-Depends: debhelper-compat (= 13),
               dh-exec,
# For ATAC
               dh-sequence-python3,
               python3-dev,
               dh-python | dh-sequence-python3
Standards-Version: 4.6.2
Vcs-Browser: https://salsa.debian.org/med-team/kmer
Vcs-Git: https://salsa.debian.org/med-team/kmer.git
Homepage: http://kmer.sourceforge.net
Rules-Requires-Root: no

Package: kmer
Architecture: all
Depends: ${misc:Depends},
         meryl,
         leaff,
         sim4db,
         atac
Description: suite of tools for DNA sequence analysis
 The kmer package is a suite of tools for DNA sequence analysis.
 It provides tools for searching (ESTs, mRNAs, sequencing reads);
 aligning (ESTs, mRNAs, whole genomes); and a variety of analyses
 based on kmers.
 .
 This is a metapackage depending on the executable components of the kmer suite.

Package: libkmer-dev
Architecture: any
Section: libdevel
Depends: ${shlibs:Depends},
         ${misc:Depends},
         libmeryl-dev
Description: suite of tools for DNA sequence analysis (development lib)
 The kmer package is a suite of tools for DNA sequence analysis.
 It provides tools for searching (ESTs, mRNAs, sequencing reads);
 aligning (ESTs, mRNAs, whole genomes); and a variety of analyses
 based on kmers.
 .
 This package contains headers and static libraries for kmer.

Package: meryl
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends}
Suggests: gridengine-client
Description: in- and out-of-core kmer counting and utilities
 meryl computes the kmer content of genomic sequences.  Kmer
 content is represented as a list of kmers and the number of
 times each occurs in the input sequences.  The kmer can be
 restricted to only the forward kmer, only the reverse kmer,
 or the canonical kmer (lexicographically smaller of the
 forward and reverse kmer at each location).  Meryl can
 report the histogram of counts, the list of kmers and their
 counts, or can perform mathematical and set operations
 on the processed data files.
 .
 This package is part of the Kmer suite.

Package: libmeryl-dev
Architecture: any
Section: libdevel
Depends: ${shlibs:Depends},
         ${misc:Depends}
Description: in- and out-of-core kmer counting and utilities (development lib)
 meryl computes the kmer content of genomic sequences.  Kmer
 content is represented as a list of kmers and the number of
 times each occurs in the input sequences.  The kmer can be
 restricted to only the forward kmer, only the reverse kmer,
 or the canonical kmer (lexicographically smaller of the
 forward and reverse kmer at each location).  Meryl can
 report the histogram of counts, the list of kmers and their
 counts, or can perform mathematical and set operations
 on the processed data files.
 .
 This package contains the static libraries and header files.

Package: leaff
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends}
Description: biological sequence library utilities and applications
 LEAFF (Let's Extract Anything From Fasta) is a utility program for
 working with multi-fasta files. In addition to providing random access
 to the base level, it includes several analysis functions.
 .
 This package is part of the Kmer suite.

Package: sim4db
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends}
Recommends: leaff,
            kmer-examples
Description: batch spliced alignment of cDNA sequences to a target genome
 Sim4db performs fast batch alignment of large cDNA (EST, mRNA) sequence
 sets to a set of eukaryotic genomic regions. It uses the sim4 and sim4cc
 algorithms to determine the alignments, but incorporates a fast sequence
 indexing and retrieval mechanism, implemented in the sister package
 'leaff', to speedily process large volumes of sequences.
 .
 While sim4db produces alignments in the same way as sim4 or sim4cc, it
 has additional features to make it more amenable for use with whole-genome
 annotation pipelines. A script file can be used to group pairings between
 cDNAs and their corresponding genomic regions, to be aligned as one run
 and using the same set of parameters. Sim4db also optionally reports more
 than one alignment for the same cDNA within a genomic region, as long
 as they meet user-defined criteria such as minimum length, percentage
 sequence identity or coverage. This feature is instrumental in finding
 all alignments of a gene family at one locus. Lastly, the output is
 presented either as custom sim4db alignments or as GFF3 gene features.
 .
 This package is part of the Kmer suite.

Package: atac
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends},
         ${python3:Depends},
         ${perl:Depends},
         libfile-which-perl,
         leaff,
         meryl,
         gnuplot
Recommends: kmer-examples
Description: genome assembly-to-assembly comparison
 atac computes a one-to-one pairwise alignment of large DNA sequences. It first
 finds the unique k-mers in each sequence, chains them to larger blocks, and
 fills in spaces between blocks. It was written primarily to transfer
 annotations between different assemblies of the human genome.
 .
 The output is a set of ungapped 'matches', and a set of gapped 'runs' formed
 from the matches. Each match or run associates one sequence with the other
 sequence. The association is 'unique', in that there is no other (sizeable)
 associations for either sequence. Thus, large repeats and duplications are not
 present in the output - they appear as unmapped regions.
 .
 Though the output is always pairwise, atac can cache intermediate results to
 speed a comparisons of multiple sequences.
 .
 This package is part of the Kmer suite.

Package: kmer-examples
Architecture: all
Depends: ${misc:Depends}
Enhances: sim4db,
          atac
Description: sample data for kmer suite of tools for DNA sequence analysis
 The kmer package is a suite of tools for DNA sequence analysis.
 It provides tools for searching (ESTs, mRNAs, sequencing reads);
 aligning (ESTs, mRNAs, whole genomes); and a variety of analyses
 based on kmers.
 .
 This package contains a test data set as well as sample scripts
 running some test suite provided by Debian also as autopkgtest.
