## kmer 1.0.0

=== DESCRIPTION ===
Package: kmer
Type: Package
Title: Fast K-Mer Counting and Clustering for Biological Sequence
        Analysis
Version: 1.0.0
Authors@R: person("Shaun", "Wilkinson", role = c("aut", "cre"),
                     email = "shaunpwilkinson@gmail.com")
Author: Shaun Wilkinson [aut, cre]
Maintainer: Shaun Wilkinson <shaunpwilkinson@gmail.com>
Description: Contains tools for rapidly computing distance matrices 
    and clustering large sequence datasets using fast alignment-free 
    k-mer counting and recursive k-means partitioning. 
    See Vinga and Almeida (2003) <doi:10.1093/bioinformatics/btg005> 
    for a review of k-mer counting methods and applications for 
    biological sequence analysis.
License: GPL-3
Encoding: UTF-8
LazyData: true
URL: http://github.com/shaunpwilkinson/kmer
BugReports: http://github.com/shaunpwilkinson/kmer/issues
Imports: openssl, phylogram, Rcpp (>= 0.12.13), stats
Suggests: ape (>= 4.0), knitr, rmarkdown, testthat
LinkingTo: Rcpp
VignetteBuilder: knitr
RoxygenNote: 6.0.1
NeedsCompilation: yes
Packaged: 2018-03-06 01:16:32 UTC; shaun
Repository: CRAN
Date/Publication: 2018-03-06 19:05:47 UTC
