## kmer 1.0.1

=== DESCRIPTION ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Type: Package
 Title: Fast K-Mer Counting and Clustering for Biological Sequence
         Analysis
-Version: 1.0.0
+Version: 1.0.1
 Authors@R: person("Shaun", "Wilkinson", role = c("aut", "cre"),
                      email = "shaunpwilkinson@gmail.com")
 Author: Shaun Wilkinson [aut, cre]
@@ -24,6 +24,6 @@
 VignetteBuilder: knitr
 RoxygenNote: 6.0.1
 NeedsCompilation: yes
-Packaged: 2018-03-06 01:16:32 UTC; shaun
+Packaged: 2018-03-16 03:01:17 UTC; shaun
 Repository: CRAN
-Date/Publication: 2018-03-06 19:05:47 UTC
+Date/Publication: 2018-03-16 04:28:23 UTC
