## kmer 1.1.3

=== DESCRIPTION ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Type: Package
 Title: Fast K-Mer Counting and Clustering for Biological Sequence
         Analysis
-Version: 1.1.2
+Version: 1.1.3
 Authors@R: person("Shaun", "Wilkinson", role = c("aut", "cre"),
                      email = "shaunpwilkinson@gmail.com")
 Author: Shaun Wilkinson [aut, cre]
@@ -15,15 +15,14 @@
     biological sequence analysis.
 License: GPL-3
 Encoding: UTF-8
-LazyData: true
-URL: http://github.com/shaunpwilkinson/kmer
-BugReports: http://github.com/shaunpwilkinson/kmer/issues
+URL: https://github.com/shaunpwilkinson/kmer
+BugReports: https://github.com/shaunpwilkinson/kmer/issues
 Imports: openssl, phylogram, Rcpp (>= 0.12.13)
 Suggests: ape (>= 4.0), dendextend, knitr, rmarkdown, testthat
 LinkingTo: Rcpp
 VignetteBuilder: knitr
-RoxygenNote: 6.1.1
+RoxygenNote: 7.3.1
 NeedsCompilation: yes
-Packaged: 2019-05-20 01:35:03 UTC; shaun
+Packaged: 2026-01-22 21:37:23 UTC; wilderlab
 Repository: CRAN
-Date/Publication: 2019-05-20 05:10:03 UTC
+Date/Publication: 2026-01-23 06:40:52 UTC
